routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

// Route::resource('login','LoginController');
// Route::resource('register','RegisterController');
Route::resource('jabatan','JabatanController');
Route::resource('pegawai','PegawaiController');
Route::resource('kategori','KategoriController');
Route::get('daftar-produk','ProdukController@index_cust');
Route::resource('produk','ProdukController');
Route::resource('supplier','SupplierController');
Route::get('profile/{id}','PelangganController@index_profile')->name('profile');
Route::post('simpan-profile','PelangganController@simpan_data')->name('simpan-profile');
Route::resource('pelanggan','PelangganController');
Route::resource('produk-konsinyasi','ProdukKonsinyasiController');

Route::get('nota-beli/create/getdetailproduk/{id}','NotaBeliController@get_detail_produk');
Route::get('nota-beli/create/getkembar/{data}','NotaBeliController@cek_dobel_nota');
Route::get('nota-beli-post','NotaBeliController@index_postorder')->name('nota-beli.post');
Route::resource('nota-beli','NotaBeliController');

//$nota,$toko,$konsi,$pelanggan,$grand_total,$ongkir
Route::get('nota-jual/cetak/{nota}/{toko}/{konsi}/{pelanggan}/{grand_total}/{ongkir}', 'NotaJualController@cetak')->name('cetak-nota-jual');
Route::get('nota-jual/detail-pengiriman/{id}','NotaJualController@detail_pengiriman')->name('nota-jual.detail-pengiriman');
Route::resource('nota-jual','NotaJualController');

Route::get('titip-konsinyasi-post','BeliKonsinyasiController@index_postorder')->name('titip-konsinyasi.post');
Route::get('beli-konsinyasi/create/getdetailproduk/{id}','BeliKonsinyasiController@get_detail_produk');
Route::resource('beli-konsinyasi','BeliKonsinyasiController');
Route::resource('kembali-konsinyasi','KembaliKonsinyasiController');
Route::get('kembali-konsinyasi/create/getnotabelikonsi/{id}','KembaliKonsinyasiController@get_nota_beli');
Route::get('kembali-konsinyasi/create/getprodukkonsinyasi/{id}','KembaliKonsinyasiController@get_produk_konsinyasi');

Route::get('histori-pembayaran-pembelian/{id}/create','HistoriPembayaranPembelianController@create')->name('histori-pembayaran-pembelian.createid');
Route::resource('histori-pembayaran-pembelian','HistoriPembayaranPembelianController');
Route::get('histori-pembayaran-penjualan/{id}/create','HistoriPembayaranPenjualanController@create')->name('histori-pembayaran-penjualan.createid');
Route::resource('histori-pembayaran-penjualan','HistoriPembayaranPenjualanController');

Route::get('penyesuaian-stok/{id}/create','PenyesuaianStokController@create')->name('penyesuaian-stok.createid');
Route::get('penyesuaian-stok/menunggu-validasi','PenyesuaianStokController@menunggu_validasi')->name('penyesuaian-stok-validasi');
Route::post('penyesuaian-stok/validasi','PenyesuaianStokController@validasi')->name('penyesuaian-stok.validasi');
Route::resource('penyesuaian-stok','PenyesuaianStokController');

Auth::routes();

Route::get('retur-pembelian/create/gettanggalkedaluwarsa/{id}','ReturBeliController@get_tanggal_kedaluwarsa');
Route::get('retur-pembelian/create/getnotabeli/{id}/{tgl}','ReturBeliController@get_nota_beli');
Route::get('retur-pembelian/create/getprodukbeli/{nota}/{id}/{tgl}','ReturBeliController@get_produk_retur');
Route::resource('retur-pembelian','ReturBeliController');

Route::resource('retur-penjualan','ReturJualController');
Route::get('retur-penjualan/create/getnotajual/{id}','ReturJualController@get_nota_jual');
Route::get('retur-penjualan/create/getprodukjual/{id}','ReturJualController@get_produk_retur');

// Route::post('retur-pembelian/fetch', 'ReturBeliController@fetch')->name('retur-pembelian.fetch');

Route::get('perlu-restock','ProdukController@perlu_restock')->name('perlu-restock');
Route::get('perlu-dibatalkan','NotaJualController@perlu_dibatalkan')->name('perlu-dibatalkan');
Route::get('batalkan-pesanan/{nota}','NotaJualController@batalkan_pesanan')->name('batalkan-pesanan');
Route::get('dashboard','NotaJualController@dashboard_admin')->name('dashboard');
Route::post('edit-konfigurasi/{id}','IndexController@update')->name('edit-konfigurasi');
Route::resource('pengaturan-awal','IndexController');

//////PESANAN ADMIN///////

Route::get('transaksi/{kategori}','NotaJualController@nota_admin')->name('transaksi');
Route::get('detail-transaksi/{id}','NotaJualController@detail_transaksi')->name('detail-transaksi');
Route::get('validitas-bukti/{id}/{validitas}','NotaJualController@validitas_bukti')->name('validitas-bukti');
Route::get('terima-pesanan/{id}','NotaJualController@terima_pesanan')->name('terima-pesanan');
Route::get('tolak-pesanan/{id}','NotaJualController@tolak_pesanan')->name('tolak-pesanan');
Route::post('nota-jual/final-tolak-pesanan','NotaJualController@final_tolak_pesanan')->name('nota-jual.tolak');
Route::get('kirim-pesanan/{id}','NotaJualController@kirim_pesanan')->name('kirim-pesanan');
Route::get('selesai-diproses/{id}','NotaJualController@selesai_diproses')->name('selesai-diproses');
Route::get('sudah-diambil/{id}','NotaJualController@sudah_diambil')->name('sudah-diambil');

/////PENGIRIMAN////

Route::get('pengiriman-hari-ini','PengirimanController@pengiriman_hari_ini')->name('pengiriman-hari-ini');
Route::get('selesai-dikirim','PengirimanController@selesai_dikirim_kurir')->name('selesai-dikirim');
Route::get('pesanan-selesai/{id}','PengirimanController@pesanan_selesai')->name('pesanan-selesai');
Route::resource('atur-pengiriman','PengirimanController');

// Route::resource('home','HomeController');
// Route::get('/home', function () {
//     return view('index.welcome');
// });

///////////LAPORAN///////////////
Route::get('laporan-penjualan/cetak/{tahun}/{bulan}/{jenis}', 'LaporanPenjualanController@cetak')->name('cetak-penjualan');
Route::resource('laporan-penjualan','LaporanPenjualanController');
Route::get('laporan-pembelian/cetak/{tahun}/{bulan}/{jenis}', 'LaporanPembelianController@cetak')->name('cetak-pembelian');
Route::resource('laporan-pembelian','LaporanPembelianController');
Route::resource('laporan-labarugi-tahunan','LaporanLabaRugiTahunanController');
Route::get('laporan-labarugi/cetak/{tahun}/{bulan}', 'LaporanLabaRugiController@cetak')->name('cetak-labarugi');
Route::resource('laporan-labarugi','LaporanLabaRugiController');
Route::get('laporan-produk/cetak/{tahun}/{bulan}', 'LaporanProdukController@cetak')->name('cetak-produk');
Route::resource('laporan-produk','LaporanProdukController');
Route::get('laporan-konsinyasi/cetak/{tahun}/{bulan}', 'LaporanKonsinyasiController@cetak')->name('cetak-konsinyasi');
Route::resource('laporan-konsinyasi','LaporanKonsinyasiController');
// Route::get('laporan-penjualan','LaporanController@penjualan')->name('laporan-penjualan');
// Route::get('laporan-penjualan-periode','LaporanController@penjualan_show')->name('laporan-penjualan-periode');


Route::get('/index', 'IndexController@pegawai');
Route::get('/home', 'IndexController@pelanggan')->name('home');
Route::get('logout', '\App\Http\Controllers\Auth\LoginController@logout');

Route::resource('belanja','BelanjaController');
Route::get('belanja/kategori/{kategori}','BelanjaController@perkategori')->name('belanja-perkategori');
Route::resource('keranjang','KeranjangController');
Route::get('keranjang/{aksi}/{id}','KeranjangController@ubah_jumlah')->name('ubah-keranjang');
Route::get('keranjang/tambah/satuan/{id}','KeranjangController@simpan_satuan')->name('keranjang-satuan');
Route::resource('checkout','CheckOutController');
Route::resource('pembayaran','PembayaranController');

/////////HALAMAN PESANAN///////////
Route::get('pesanan/{kategori}','NotaJualController@nota_pelanggan')->name('pesanan');
Route::get('detail-pesanan/{nonota}','NotaJualController@detail_pesanan')->name('detail-pesanan');
// Route::get('checkout','NotaJualController@checkout')->name('checkout');


/////////////////KURIR//////////////////
Route::resource('kurir','PengirimanController');
Route::get('kirim-berlangsung','PengirimanController@berlangsung')->name('kirim-berlangsung');
Route::get('kirim-selesai','PengirimanController@selesai')->name('kirim-selesai');
Route::get('terima-pengiriman','PengirimanController@terima_kirim')->name('terima-pengiriman');
Route::get('rute-pengiriman','PengirimanController@rute_pengiriman')->name('rute-pengiriman');
Route::get('rute-pengiriman/{nonota}','PengirimanController@kirim_sekarang')->name('kirim-sekarang');
Route::get('sukses-dikirim/{nonota}/{penerima}','PengirimanController@sukses_dikirim')->name('sukses-dikirim');

app/Supplier.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Supplier extends Model
{
    protected $table = 'supplier';
    protected $primaryKey = 'idsupplier';
    protected $fillable = ['nama_supplier','alamat_supplier','telepon_supplier','konsinyator','nomor_rekening','total_piutang','status'];
    public $timestamps = false;
}

app/Http/Controllers/SupplierController.php
<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use App\Supplier;
use App\DetailToko;
use Validator;

class SupplierController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function __construct()
    {
        $this->middleware('auth');
    }

    public function get_role(){
        $role = Auth::user()->roles->first()->nama;
        return $role;
    }
    
    public function index()
    {
        $list_supplier = Supplier::all();
        return view('supplier.index-supplier', ['list_supplier'=>$list_supplier]);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        $role=$this->get_role();
        if($role=='manajer'){
            return view('supplier.tambah-supplier');
        }
        else{
            return redirect()->back();
        }
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $validator = Validator::make($request->all(), [
            'nama' => 'required | string',
            'alamat' => 'required | string',
            'telepon' => 'required | numeric',
        ]);
        
        if($validator->fails()){
            return redirect()
                ->action('SupplierController@create')
                ->withErrors($validator)
                ->withInput();
        }
        else{
            $konsinyator=0;
            $detail_toko=DetailToko::select('*')->first();
            if($detail_toko->fitur_konsinyasi==1){
                $konsinyator=$request->get('konsinyator');
            }
            $sup = new Supplier([
            'nama_supplier' => $request->get('nama'),
            'alamat_supplier' => $request->get('alamat'),
            'telepon_supplier' => $request->get('telepon'),
            'konsinyator' => $konsinyator,
            'nomor_rekening' => $request->get('rekening'),
            'total_piutang' => 0,
            'status' => 'Aktif',
            ]);

            $sup->save();
            return redirect('/supplier');
        }
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $role=$this->get_role();
        if($role=='manajer'){
            $sup = Supplier::find($id);    
            return view('supplier.edit-supplier', ['sup'=>$sup, 'id'=>$id]);
        }
        else{
            return redirect()->back();
        }
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $validator = Validator::make($request->all(), [
            'nama' => 'required | string',
            'alamat' => 'required | string',
            'telepon' => 'required | numeric',
            'status' => 'required | string',
        ]);
        
        if($validator->fails()){
            return redirect()
                ->action('SupplierController@edit', $id)
                ->withErrors($validator)
                ->withInput();
        }
        else{
            $sup = Supplier::find($id);
            $konsinyator=0;
            $detail_toko=DetailToko::select('*')->first();
            if($detail_toko->fitur_konsinyasi==1){
                $konsinyator=$request->get('konsinyator');
            }
            $sup->nama_supplier = $request->get('nama');
            $sup->alamat_supplier = $request->get('alamat');
            $sup->telepon_supplier = $request->get('telepon');
            $sup->konsinyator = $konsinyator;
            $sup->nomor_rekening = $request->get('rekening');
            $sup->status = $request->get('status');

            $sup->save();
            return redirect('/supplier');
        }
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        $role=$this->get_role();
        if($role=='manajer'){
            Supplier::where('idsupplier',$id)->first()->delete();
            return redirect('/supplier')->with('status', 'Supplier terhapus');
        }
        else{
            return redirect()->back();
        }
    }
}

resources/views/supplier/edit-supplier.blade.php
@extends('layouts.index-admin', ['title' => 'Supplier'])
@section('content')
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <h1><b>
        Ubah Data Supplier
      </b></h1>
    </section>

    <!-- Main content -->
    <section class="content">
      <div class="row">
        <div class="col-xs-12">
          <div class="box box-warning">
            <!-- /.box-header -->
            <div class="box-body">
              <form role="form" method="POST" action="{{ route('supplier.update', $id) }}" enctype="multipart/form-data">
                {{ method_field("PUT") }}
                {{ csrf_field() }}
                <!-- text input -->
                <div class="form-group">
                  <label>Nama Supplier(*)</label>
                  <input type="text" name="nama" class="form-control" value="{{$sup->nama_supplier}}" required autofocus/>
                  @if ($errors->has('Nama Supplier(*)'))
                    <span class="help-block">
                        <strong>{{ $errors->first('nama') }}</strong>
                    </span>
                  @endif
                </div>
                <div class="form-group">
                  <label>Alamat Supplier</label>
                  <input type="text" name="alamat" class="form-control" value="{{$sup->alamat_supplier}}"/>
                  @if ($errors->has('Nama Supplier(*)'))
                    <span class="help-block">
                        <strong>{{ $errors->first('alamat') }}</strong>
                    </span>
                  @endif
                </div>
                <div class="form-group">
                  <label>Telepon Supplier</label>
                  <input type="number" name="telepon" class="form-control" value="{{$sup->telepon_supplier}}"/>
                  @if ($errors->has('Telepon Supplier(*)'))
                    <span class="help-block">
                        <strong>{{ $errors->first('telepon') }}</strong>
                    </span>
                  @endif
                </div>
                @if($detail_toko->fitur_konsinyasi==1)
                  <div class="form-group">
                    <label>Konsinyator(*)</label>
                      <select id="status" name="konsinyator" class="form-control" required>
                        @if($sup->konsinyator=="0")
                            <option value="0" selected>Tidak</option>
                            <option value="1">Ya</option>
                        @else
                            <option value="0">Tidak</option>
                            <option value="1" selected>Ya</option>
                        @endif
                      </select>
                      @if ($errors->has('status'))
                        <span class="help-block">
                          <strong>{{ $errors->first('status') }}</strong>
                        </span>
                      @endif
                  </div>
                @endif
                <div class="form-group">
                  <label>Nomor Rekening</label>
                  <input type="number" name="rekening" class="form-control" value="{{$sup->nomor_rekening}}"/>
                  @if ($errors->has('Batas Hutang(*)'))
                    <span class="help-block">
                        <strong>{{ $errors->first('rekening') }}</strong>
                    </span>
                  @endif
                </div>
                <div class="form-group">
                  <label>Status(*)</label>
                    <select id="status" name="status" class="form-control" required>
                      @if($sup->status=="Aktif")
                          <option value="Aktif" selected>Aktif</option>
                          <option value="Non-aktif">Non-aktif</option>
                      @else
                          <option value="Aktif">Aktif</option>
                          <option value="Non-aktif" selected>Non-aktif</option>
                      @endif
                    </select>
                    @if ($errors->has('status'))
                      <span class="help-block">
                        <strong>{{ $errors->first('status') }}</strong>
                      </span>
                    @endif
                </div>
                <button type="submit" class="btn btn-primary">Simpan</button>
              </form>
            </div>
            <!-- /.box-body -->
          </div>
          <!-- /.box -->

        </div>
        <!-- /.col -->
      </div>
      <!-- /.row -->
    </section>

@if (session('status'))
  <script>
    alert('{{ session('status') }}')
  </script>
@endif
@endsection

resources/views/supplier/index-supplier.blade.php
@extends('layouts.index-admin', ['title' => 'Supplier'])
@section('content')
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <h1><b>
        DATA SUPPLIER
      </b></h1>
      @if($role=='manajer')
        <button class="btn btn-success btn-tambah"><a href="{{ route('supplier.create') }}" class="font-white">Tambah Supplier Baru</a></button>
      @endif
    </section>

    <!-- Main content -->
    <section class="content">
      <div class="row">
        <div class="col-xs-12">
          <div class="box box-primary">
            <div class="box-header">
              <h3 class="box-title"><b>Supplier</b></h3>
            </div>

            <!-- /.box-header -->
            <div class="box-body">
              <table id="tabeldata" class="table table-bordered table-hover">
                <thead>
                <tr>
                  <th>ID</th>
                  <th>Nama Supplier</th>
                  <th>Alamat Supplier</th>
                  <th>Telepon Supplier</th>
                  <th>Nomor Rekening</th>
                  @if($role=='manajer')
                    @if($detail_toko->pembayaran_hutang==1)
                      <th>Total Piutang</th>
                    @endif
                  @endif
                  <th>Status</th>
                  @if($role=='manajer')
                    <th class="no-sort"></th>
                    <th class="no-sort"></th>
                  @endif
                </tr>
                </thead>
                <tbody>
                @if(!empty($list_supplier))
                  @foreach($list_supplier as $post)
                    @if($post->konsinyator == "0")
                      <tr>
                        <td>{{$post->idsupplier}}</td>
                        <td>{{$post->nama_supplier}}</td>
                        <td>{{$post->alamat_supplier}}</td>
                        <td>{{$post->telepon_supplier}}</td>
                        <td>{{$post->nomor_rekening}}</td>
                        @if($role=='manajer')
                          @if($detail_toko->pembayaran_hutang==1)
                            <td class="right-aligned">{{number_format($post->total_piutang,0,".",",")}}</td>
                          @endif
                        @endif
                        <td>{{$post['status']}}</td>
                        @if($role=='manajer')
                          <td class="center-aligned">
                            <button class="btn btn-warning"><a href="{{ route('supplier.edit', $post->idsupplier) }}" class="font-white">Edit</a></button>
                          </td>
                          <td class="center-aligned">
                            <form method="post" action="{{ route('supplier.destroy', $post->idsupplier) }}">
                              {{ method_field('delete')}}
                              {{ csrf_field() }}
                              <button class="btn btn-danger" type="submit" name="delete" onclick="return confirm('Anda yakin untuk menghapus supplier?')">Hapus</button>
                            </form>         
                          </td>
                        @endif
                      </tr>
                    @endif
                   @endforeach
                  @endif
                </tbody>
              </table>
            </div>
            <!-- /.box-body -->
          </div>
          <!-- /.box -->

        </div>
        <!-- /.col -->
      </div>
      <!-- /.row -->
      @if($detail_toko->fitur_konsinyasi==1)
        @if(!empty($list_supplier))
          <div class="row">
            <div class="col-xs-12">
              <div class="box box-success">
                <div class="box-header">
                  <h3 class="box-title"><b>Konsinyator</b></h3>
                </div>

                <!-- /.box-header -->
                <div class="box-body">
                  <table id="tabeldata" class="table table-bordered table-hover">
                    <thead>
                    <tr>
                      <th>Nama Konsinyator</th>
                      <th>Alamat Konsinyator</th>
                      <th>Telepon Konsinyator</th>
                      <th>Nomor Rekening</th>
                      @if($role=='manajer')
                        @if($detail_toko->pembayaran_hutang==1)
                          <th>Total Piutang</th>
                        @endif
                      @endif
                      <th>Status</th>
                      @if($role=='manajer')
                        <th class="no-sort"></th>
                        <th class="no-sort"></th>
                      @endif
                    </tr>
                    </thead>
                    <tbody>
                      @foreach($list_supplier as $post)
                        @if($post->konsinyator == "1")
                            <tr>
                              <td>{{$post->nama_supplier}}</td>
                              <td>{{$post->alamat_supplier}}</td>
                              <td>{{$post->telepon_supplier}}</td>
                              <td>{{$post->nomor_rekening}}</td>
                              @if($role=='manajer')
                                @if($detail_toko->pembayaran_hutang==1)
                                  <td class="right-aligned">{{number_format($post->total_piutang,0,".",",")}}</td>
                                @endif
                              @endif
                              <td>{{$post['status']}}</td>
                              @if($role=='manajer')
                                <td class="center-aligned">
                                  <button class="btn btn-warning"><a href="{{ route('supplier.edit', $post->idsupplier) }}" class="font-white">Edit</a></button>
                                </td>
                                <td class="center-aligned">
                                  <form method="post" action="{{ route('supplier.destroy', $post->idsupplier) }}">
                                    {{ method_field('delete')}}
                                    {{ csrf_field() }}
                                    <button class="btn btn-danger" type="submit" name="delete" onclick="return confirm('Are you sure?')">Hapus</button>
                                  </form>         
                                </td>
                              @endif
                            </tr>
                          @endif
                        @endforeach
                    </tbody>
                  </table>
                </div>
                <!-- /.box-body -->
              </div>
              <!-- /.box -->

            </div>
            <!-- /.col -->
          </div>
        @endif
      @endif
    </section>

@endsection
@section('morescript')
@if (session('status'))
    <script>
      alert('{{ session('status') }}')
    </script>
@endif
@endsection

resources/views/supplier/tambah-supplier.blade.php
@extends('layouts.index-admin', ['title' => 'Supplier'])
@section('content')
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <h1><b>
        Tambah Supplier Baru
      </b></h1>
    </section>

    <!-- Main content -->
    <section class="content">
      <div class="row">
        <div class="col-xs-12">
          <div class="box box-warning">
            <!-- /.box-header -->
            <div class="box-body">
              <form role="form" method="POST" action="{{ url('supplier') }}" enctype="multipart/form-data">
                {{ csrf_field() }}
                <!-- text input -->
                <div class="form-group{{ $errors->has('nama') ? ' has-error' : '' }}">
                  <label>Nama Supplier(*)</label>
                  <input type="text" name="nama" class="form-control" placeholder="Nama Supplier" required autofocus/>
                  @if ($errors->has('nama'))
                    <span class="help-block">
                      <strong>{{ $errors->first('nama') }}</strong>
                    </span>
                  @endif
                </div>
                <div class="form-group{{ $errors->has('alamat') ? ' has-error' : '' }}">
                  <label>Alamat(*)</label><br>
                  <label class="orange-text"><b>Keterangan: Masukkan nama kabupaten/kota, contoh: Jl. ABC No. 1 Surabaya</b></label>
                  <input type="text" name="alamat" class="form-control" placeholder="Jl..." value="-" required/>
                  @if ($errors->has('alamat'))
                    <span class="help-block">
                      <strong>{{ $errors->first('alamat') }}</strong>
                    </span>
                  @endif
                </div>
                <div class="form-group{{ $errors->has('telepon') ? ' has-error' : '' }}">
                  <label>Telepon(*)</label>
                  <input type="number" name="telepon" class="form-control" placeholder="0311234567" value="0" required/>
                  @if ($errors->has('telepon'))
                    <span class="help-block">
                      <strong>{{ $errors->first('telepon') }}</strong>
                    </span>
                  @endif
                </div>
                @if($detail_toko->fitur_konsinyasi==1)
                  <div class="form-group{{ $errors->has('konsinyator') ? ' has-error' : '' }}">
                    <label>Konsinyator(*)</label>
                    <select id="konsinyator" name="konsinyator" class="form-control" required>
                      <option value="0">Tidak</option>
                      <option value="1">Ya</option>
                    </select>
                    @if ($errors->has('konsinyator'))
                      <span class="help-block">
                        <strong>{{ $errors->first('konsinyator') }}</strong>
                      </span>
                    @endif
                  </div>
                @endif
                <div class="form-group{{ $errors->has('rekening') ? ' has-error' : '' }}">
                  <label>Nomor Rekening</label>
                  <input type="number" name="rekening" class="form-control" placeholder="0880000000"/>
                  @if ($errors->has('rekening'))
                    <span class="help-block">
                      <strong>{{ $errors->first('rekening') }}</strong>
                    </span>
                  @endif
                </div>
                <p><b>(*) wajib diisi</b></p>
                <button type="submit" class="btn btn-primary">Simpan</button>
              </form>
            </div>
            <!-- /.box-body -->
          </div>
          <!-- /.box -->

        </div>
        <!-- /.col -->
      </div>
      <!-- /.row -->
    </section>
@endsection